config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/ssh/ssh_config.new
config etc/ssh/sshd_config.new
config etc/rc.d/rc.sshd.new
config etc/pam.d/sshd.new

# If the sshd user/group don't exist, add them:

if ! grep "^sshd::" etc/group 1> /dev/null 2> /dev/null ; then
  chroot . groupadd -g 33 sshd 
fi

if ! grep "^sshd:x:" etc/passwd 1> /dev/null 2> /dev/null ; then
  chroot . useradd -u 33 -g 33 -d / sshd 
fi

# Add a btmp file to store login failure if one doesn't exist:
if [ ! -r var/log/btmp ]; then
  ( cd var/log ; umask 077 ; touch btmp )
fi
( cd usr/bin ; rm -rf slogin )
( cd usr/bin ; ln -sf ./ssh slogin )
( cd usr/share/man/man1 ; rm -rf slogin.1 )
( cd usr/share/man/man1 ; ln -sf ./ssh.1 slogin.1 )
